Bug 140931 - PCMCIA Adaptec APA-1460 SlimSCSI adapter not working ? Oops in
PCMCIA Adaptec APA-1460 SlimSCSI adapter not working ? Oops in
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 11:10 EST by Marc Jadoul
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 06:43:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Jadoul 2004-11-26 11:10:09 EST
Description of problem:
In a compaq evo n800c, HSM SCSI (nCipher) + pcmcia SCSI adapter
(Adaptec APA-1460 SlimSCSI) crash the kernel and keyboard stop working.
I tried several IRQ (see additional info) and several scsi id. 
It work correctly on the same laptop under Windows XP (dual boot)


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3 + pcmcia-cs-3.2.7-1.14


How reproducible:
Always

Steps to Reproduce:
1.Insert PCMCIA SCSI adapter OR start pcmcia service with PCMCIA SCSI
adapter already in.

  
Actual results:

keyboard locks + kernel oops.


Additional info:

Nov 26 11:01:26 localhost cardmgr[2912]: open_sock(socket 1) failed:
Bad file descriptor
Nov 26 11:01:26 localhost cardmgr[2912]: watching 1 socket
Nov 26 11:01:26 localhost kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Nov 26 11:01:26 localhost kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x4d0-0x4d7
Nov 26 11:01:26 localhost kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Nov 26 11:01:26 localhost kernel: cs: memory probe
0xa0000000-0xa0ffffff: clean.
Nov 26 11:01:26 localhost cardmgr[2913]: socket 0: Adaptec APA-1460
SlimSCSI
Nov 26 11:01:26 localhost kernel: SCSI subsystem initialized
Nov 26 11:01:28 localhost kernel: aha152x: resetting bus...
Nov 26 11:01:28 localhost kernel: aha152x0: vital data: rev=1,
io=0x340 (0x340/0x340), irq=7, scsiid=7, reconnect=enabled,
parity=enabled, synchronous=enabled, delay=500, extended
translation=disabled
Nov 26 11:01:28 localhost kernel: aha152x0: trying software interrupt, ok.
Nov 26 11:01:28 localhost kernel: scsi0 : Adaptec 152x SCSI driver;
$Revision: 2.7 $
Nov 26 11:01:29 localhost kernel: (scsi0:4:0) Synchronous Data
Transfer Request period = 204 ns, offset = 8
Nov 26 11:01:29 localhost kernel: (scsi0:4:0) command already sent
Nov 26 11:01:29 localhost kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000049
Nov 26 11:01:29 localhost kernel:  printing eip:
Nov 26 11:01:29 localhost kernel: 22a8a484
Nov 26 11:01:29 localhost kernel: *pde = 00000000
Nov 26 11:01:29 localhost kernel: Oops: 0000 [#1]
Nov 26 11:01:29 localhost kernel: Modules linked in: aha152x_cs
scsi_mod ds radeon parport_pc lp parport rfcomm l2cap bluetooth
ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables microcode
dm_mod button battery ac yenta_socket pcmcia_core ohci_hcd ehci_hcd
snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore e100 mii floppy ext3 jbd
Nov 26 11:01:29 localhost kernel: CPU:    0
Nov 26 11:01:29 localhost kernel: EIP:    0060:[<22a8a484>]    Not
tainted VLI
Nov 26 11:01:29 localhost kernel: EFLAGS: 00010202   (2.6.9-1.681_FC3)
Nov 26 11:01:29 localhost kernel: EIP is at cmd_run+0xb/0x5a [aha152x_cs]
Nov 26 11:01:29 localhost kernel: eax: 00000000   ebx: 1af90a00   ecx:
00000007   edx: 22a8a479
Nov 26 11:01:29 localhost kernel: esi: 00000001   edi: 00117d8e   ebp:
034db180   esp: 034f7f4c
Nov 26 11:01:29 localhost kernel: ds: 007b   es: 007b   ss: 0068
Nov 26 11:01:29 localhost kernel: Process events/0 (pid: 3,
threadinfo=034f7000 task=21f20bb0)
Nov 26 11:01:29 localhost kernel: Stack: 1af90a00 00000001 00117d8e
22a8b4de 00000000 00000206 00000000 22a88e76
Nov 26 11:01:29 localhost kernel:        22a909e0 021329c5 22a88e50
ffffffff ffffffff 00000001 00000000 0211bba9
Nov 26 11:01:29 localhost kernel:        00010000 00000000 21f20bb0
21f20bb0 034f7fcc 00000000 21f20bb0 0211bba9
Nov 26 11:01:29 localhost kernel: Call Trace:
Nov 26 11:01:29 localhost kernel:  [<22a8b4de>]
is_complete+0x2d3/0x488 [aha152x_cs]
Nov 26 11:01:29 localhost kernel:  [<22a88e76>] run+0x26/0x2e [aha152x_cs]
Nov 26 11:01:29 localhost kernel:  [<021329c5>] worker_thread+0x21f/0x33d
Nov 26 11:01:29 localhost kernel:  [<22a88e50>] run+0x0/0x2e [aha152x_cs]
Nov 26 11:01:29 localhost kernel:  [<0211bba9>]
default_wake_function+0x0/0xc
Nov 26 11:01:29 localhost kernel:  [<0211bba9>]
default_wake_function+0x0/0xc
Nov 26 11:01:29 localhost kernel:  [<021327a6>] worker_thread+0x0/0x33d
Nov 26 11:01:29 localhost kernel:  [<02137af5>] kthread+0x69/0x91
Nov 26 11:01:29 localhost kernel:  [<02137a8c>] kthread+0x0/0x91
Nov 26 11:01:29 localhost kernel:  [<021041d9>]
kernel_thread_helper+0x5/0xb
Nov 26 11:01:29 localhost kernel: Code: e7 60 69 df 83 c4 10 89 d8 ba
00 00 07 00 5b e9 6e e9 ff ff c7 83 68 03 00 00 00 00 00 00 5b c3 57
56 53 89 c3 8b 80 3c 02 00 00 <0f> b6 40 49 39 83 68 03 00 00 75 07 89
d8 e8 23 12 00 00 8b b3
Nov 26 11:01:35 localhost kernel:  <3>(scsi0:4:0) cannot abort running
or disconnected command
Nov 26 11:01:35 localhost kernel: Debug: sleeping function called from
invalid context at include/asm/semaphore.h:107
Nov 26 11:01:35 localhost kernel: in_atomic():0[expected: 0],
irqs_disabled():1
Nov 26 11:01:35 localhost kernel:  [<0211cbcb>] __might_sleep+0x7d/0x8a
Nov 26 11:01:35 localhost kernel:  [<22a8859b>]
aha152x_device_reset+0x361/0x61b [aha152x_cs]
Nov 26 11:01:35 localhost kernel:  [<22a88091>]
timer_expired+0x0/0x1a9 [aha152x_cs]
Nov 26 11:01:35 localhost kernel:  [<0211bc93>] __wake_up+0x8d/0xf2
Nov 26 11:01:35 localhost kernel:  [<02120aad>]
release_console_sem+0x205/0x20b
Nov 26 11:01:35 localhost kernel:  [<02242fe0>] get_device+0xe/0x14
Nov 26 11:01:35 localhost kernel:  [<22ade436>]
scsi_device_get+0x24/0x5d [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<22ae1066>]
scsi_try_bus_device_reset+0xe1/0x184 [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<22ae1345>]
scsi_eh_bus_device_reset+0x78/0xed [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<22ae1e1b>]
scsi_eh_ready_devs+0x1d/0x4d [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<22ae2146>]
scsi_unjam_host+0x22d/0x23e [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<22ae2291>]
scsi_error_handler+0x13a/0x191 [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<0211b669>] schedule_tail+0xc/0x37
Nov 26 11:01:35 localhost kernel:  [<22ae2157>]
scsi_error_handler+0x0/0x191 [scsi_mod]
Nov 26 11:01:35 localhost kernel:  [<021041d9>]
kernel_thread_helper+0x5/0xb


After reboot, other IRQ, other scsi id

Nov 26 11:21:52 localhost cardmgr[2902]: open_sock(socket 1) failed:
Bad file descriptor
Nov 26 11:21:52 localhost cardmgr[2902]: watching 1 socket
Nov 26 11:21:52 localhost kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Nov 26 11:21:52 localhost kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x4d0-0x4d7
Nov 26 11:21:52 localhost kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Nov 26 11:21:52 localhost kernel: cs: memory probe
0xa0000000-0xa0ffffff: clean.
Nov 26 11:21:52 localhost cardmgr[2903]: socket 0: Adaptec APA-1460
SlimSCSI
Nov 26 11:21:52 localhost kernel: SCSI subsystem initialized
Nov 26 11:21:54 localhost kernel: aha152x: resetting bus...
Nov 26 11:21:54 localhost kernel: aha152x0: vital data: rev=1,
io=0x340 (0x340/0x340), irq=11, scsiid=7, reconnect=enabled,
parity=enabled, synchronous=enabled, delay=500, extended
translation=disabled
Nov 26 11:21:54 localhost kernel: aha152x0: trying software interrupt, ok.
Nov 26 11:21:54 localhost kernel: scsi0 : Adaptec 152x SCSI driver;
$Revision: 2.7 $
Nov 26 11:21:54 localhost kernel: (scsi-1:-1:-1) unexpected state (1)
Nov 26 11:21:56 localhost last message repeated 133 times
Nov 26 11:21:56 localhost kernel: (scsi0:3:0) Synchronous Data
Transfer Request period = 204 ns, offset = 8
Nov 26 11:21:56 localhost kernel: (scsi0:3:0) command already sent
Nov 26 11:21:56 localhost kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000049
Nov 26 11:21:56 localhost kernel:  printing eip:
Nov 26 11:21:56 localhost kernel: 22a8a484
Nov 26 11:21:56 localhost kernel: *pde = 00000000
Nov 26 11:21:56 localhost kernel: Oops: 0000 [#1]
Nov 26 11:21:56 localhost kernel: Modules linked in: aha152x_cs
scsi_mod ds radeon parport_pc lp parport rfcomm l2cap bluetooth
ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables microcode
dm_mod button battery ac yenta_socket pcmcia_core ohci_hcd ehci_hcd
snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore e100 mii floppy ext3 jbd
Nov 26 11:21:56 localhost kernel: CPU:    0
Nov 26 11:21:56 localhost kernel: EIP:    0060:[<22a8a484>]    Not
tainted VLI
Nov 26 11:21:56 localhost kernel: EFLAGS: 00010202   (2.6.9-1.681_FC3)
Nov 26 11:21:56 localhost kernel: EIP is at cmd_run+0xb/0x5a [aha152x_cs]
Nov 26 11:21:56 localhost kernel: eax: 00000000   ebx: 1a784a80   ecx:
00000007   edx: 22a8a479
Nov 26 11:21:56 localhost kernel: esi: 00000001   edi: 0003bd6b   ebp:
034db180   esp: 034f7f4c
Nov 26 11:21:56 localhost kernel: ds: 007b   es: 007b   ss: 0068
Nov 26 11:21:56 localhost kernel: Process events/0 (pid: 3,
threadinfo=034f7000 task=21f20bb0)
Nov 26 11:21:56 localhost kernel: Stack: 1a784a80 00000001 0003bd6b
22a8b4de 00000000 00000206 00000000 22a88e76
Nov 26 11:21:56 localhost kernel:        22a909e0 021329c5 22a88e50
ffffffff ffffffff 00000001 00000000 0211bba9
Nov 26 11:21:56 localhost kernel:        00010000 00000000 21f20bb0
21f20bb0 034f7fcc 00000000 21f20bb0 0211bba9
Nov 26 11:21:56 localhost kernel: Call Trace:
Nov 26 11:21:56 localhost kernel:  [<22a8b4de>]
is_complete+0x2d3/0x488 [aha152x_cs]
Nov 26 11:21:56 localhost kernel:  [<22a88e76>] run+0x26/0x2e [aha152x_cs]
Nov 26 11:21:56 localhost kernel:  [<021329c5>] worker_thread+0x21f/0x33d
Nov 26 11:21:56 localhost kernel:  [<22a88e50>] run+0x0/0x2e [aha152x_cs]
Nov 26 11:21:56 localhost kernel:  [<0211bba9>]
default_wake_function+0x0/0xc
Nov 26 11:21:56 localhost kernel:  [<0211bba9>]
default_wake_function+0x0/0xc
Nov 26 11:21:56 localhost kernel:  [<021327a6>] worker_thread+0x0/0x33d
Nov 26 11:21:56 localhost kernel:  [<02137af5>] kthread+0x69/0x91
Nov 26 11:21:56 localhost kernel:  [<02137a8c>] kthread+0x0/0x91
Nov 26 11:21:56 localhost kernel:  [<021041d9>]
kernel_thread_helper+0x5/0xb
Nov 26 11:21:56 localhost kernel: Code: e7 60 69 df 83 c4 10 89 d8 ba
00 00 07 00 5b e9 6e e9 ff ff c7 83 68 03 00 00 00 00 00 00 5b c3 57
56 53 89 c3 8b 80 3c 02 00 00 <0f> b6 40 49 39 83 68 03 00 00 75 07 89
d8 e8 23 12 00 00 8b b3
Nov 26 11:22:01 localhost kernel:  <3>(scsi0:3:0) cannot abort running
or disconnected command
Nov 26 11:22:01 localhost kernel: Debug: sleeping function called from
invalid context at include/asm/semaphore.h:107
Nov 26 11:22:01 localhost kernel: in_atomic():0[expected: 0],
irqs_disabled():1
Nov 26 11:22:01 localhost kernel:  [<0211cbcb>] __might_sleep+0x7d/0x8a
Nov 26 11:22:01 localhost kernel:  [<22a8859b>]
aha152x_device_reset+0x361/0x61b [aha152x_cs]
Nov 26 11:22:01 localhost kernel:  [<22a88091>]
timer_expired+0x0/0x1a9 [aha152x_cs]
Nov 26 11:22:01 localhost kernel:  [<0211bc93>] __wake_up+0x8d/0xf2
Nov 26 11:22:01 localhost kernel:  [<02120aad>]
release_console_sem+0x205/0x20b
Nov 26 11:22:01 localhost kernel:  [<02242fe0>] get_device+0xe/0x14
Nov 26 11:22:01 localhost kernel:  [<22ade436>]
scsi_device_get+0x24/0x5d [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<22ae1066>]
scsi_try_bus_device_reset+0xe1/0x184 [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<22ae1345>]
scsi_eh_bus_device_reset+0x78/0xed [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<22ae1e1b>]
scsi_eh_ready_devs+0x1d/0x4d [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<22ae2146>]
scsi_unjam_host+0x22d/0x23e [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<22ae2291>]
scsi_error_handler+0x13a/0x191 [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<0211b669>] schedule_tail+0xc/0x37
Nov 26 11:22:01 localhost kernel:  [<22ae2157>]
scsi_error_handler+0x0/0x191 [scsi_mod]
Nov 26 11:22:01 localhost kernel:  [<021041d9>]
kernel_thread_helper+0x5/0xb
Comment 1 Marc Jadoul 2004-11-29 06:43:22 EST
Sorry: was a problem of setting on my device. Apparently, it has a pin
called compatibility which was set and an other bit I needed to set
for not narrow ultra scsi (not wide)...

Note You need to log in before you can comment on or make changes to this bug.